Bug 241376 - [exp-run] graphics/geos: update to 3.8.0
Summary: [exp-run] graphics/geos: update to 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks: 241186
  Show dependency treegraph
 
Reported: 2019-10-20 16:52 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-12-10 17:17 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
ossim 2.10.0 for geos 3.8.0 (56.84 KB, patch)
2019-10-31 18:52 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-10-20 16:52:13 UTC
Update to 3.8.0

Changes:        https://trac.osgeo.org/geos/browser/git/NEWS?rev=3.8
Comment 2 Loïc Bartoletti freebsd_committer 2019-10-31 18:52:01 UTC
Created attachment 208745 [details]
ossim 2.10.0 for geos 3.8.0

For graphics/ossim patches are available:
https://github.com/ossimlabs/ossim/issues/243#issuecomment-548416403

I applied these patches
Comment 3 Loïc Bartoletti freebsd_committer 2019-11-26 06:46:41 UTC
sunpoet@ antoine@ can you try with this patch for osgearth: https://git.slackbuilds.org/slackbuilds/tree/gis/osgEarth/geos-3_8-support.patch

Upstream ticket: https://github.com/gwaldron/osgearth/issues/1378

Thanks
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-12-08 14:17:18 UTC
Patch updated with fixes for osgearth and ossim.
Comment 5 Antoine Brodin freebsd_committer 2019-12-10 12:48:50 UTC
Exp-run looks fine
Comment 6 commit-hook freebsd_committer 2019-12-10 17:09:31 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Dec 10 17:09:11 UTC 2019
New revision: 519679
URL: https://svnweb.freebsd.org/changeset/ports/519679

Log:
  Update to 3.8.0

  Changes:	https://trac.osgeo.org/geos/browser/git/NEWS?rev=3.8
  		https://github.com/libgeos/geos/blob/3.8/NEWS
  PR:		241376
  Exp-run by:	antoine

Changes:
  head/graphics/geos/Makefile
  head/graphics/geos/distinfo
  head/graphics/geos/pkg-plist
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-12-10 17:17:20 UTC
Committed. Thanks!